Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019194
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2011-11-28 13:312011-12-05 13:08
ReporterplujanView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond5511a43cccc
ProjectionnoneETAnoneTarget Version3.0MP6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browserGoogle Chrome, Mozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019194: Callout is not being fired in text fields

DescriptionWhen creating a Sales Invoice Line I get no change in the Total Net Amount field after filling a Quantity
Steps To ReproduceGo to Sales Invoice window.
Create a Header and move to Lines
Create a new line and select a product
In Invoiced Quantity field write "13.13" without moving the focus away.
Click the Save button
The field Line Net Amount remains with the old values, leading to an inconsistent Invoice. See screenshot.
TagsRegression QA
Attached Filespng file icon download.png [^] (62,429 bytes) 2011-11-28 13:31

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0019169 closedmtaal Colums with reference Table or Tabledir are collapsing the browser 
related to defect 00192003.0MP6 closedmtaal Saving on form is not working in automated tests 

-  Notes
(0043405)
hgbot (developer)
2011-11-28 13:47

Repository: erp/devel/pi
Changeset: d5511a43cccc8df8a4379c0e54ab4b668117c250
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Nov 28 13:46:50 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d5511a43cccc8df8a4379c0e54ab4b668117c250 [^]

Fixes issue 19194: Callout is not being fired in text fields

---
M .hgignore
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0043566)
hudsonbot (developer)
2011-11-30 12:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/01809c7b3135 [^]

Maturity status: Test
(0043629)
iperdomo (developer)
2011-12-01 10:47

Tested on pi @ rev e3ce9604cae9

The callout is getting executed (request made to the backend) when clicking the save button.
(0043703)
psarobe (manager)
2011-12-05 13:08

Reviewed. Testing plan:
Go to Sales Invoice window.
Create a Header and move to Lines
Create a new line and select a product
In Invoiced Quantity field write "13.13" without moving the focus away.
Click the Save button

- Issue History
Date Modified Username Field Change
2011-11-28 13:31 plujan New Issue
2011-11-28 13:31 plujan Assigned To => alostale
2011-11-28 13:31 plujan File Added: download.png
2011-11-28 13:31 plujan Web browser => Google Chrome, Mozilla Firefox
2011-11-28 13:31 plujan Modules => Core
2011-11-28 13:32 plujan Tag Attached: Regression QA
2011-11-28 13:33 shuehner Issue Monitored: shuehner
2011-11-28 13:47 hgbot Checkin
2011-11-28 13:47 hgbot Note Added: 0043405
2011-11-28 13:47 hgbot Status new => resolved
2011-11-28 13:47 hgbot Resolution open => fixed
2011-11-28 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d5511a43cccc8df8a4379c0e54ab4b668117c250 [^]
2011-11-28 13:48 shuehner Relationship added related to 0019169
2011-11-28 20:45 plujan Relationship added related to 0019200
2011-11-30 12:37 hudsonbot Checkin
2011-11-30 12:37 hudsonbot Note Added: 0043566
2011-12-01 10:47 iperdomo Note Added: 0043629
2011-12-01 10:47 iperdomo Status resolved => closed
2011-12-05 13:08 psarobe Note Added: 0043703


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker